// IWYU pragma: private, include "nvim/tui/terminfo.h"
#define DEFINE_FUNC_ATTRIBUTES
#include "nvim/func_attr.h"
#undef DEFINE_FUNC_ATTRIBUTES
#ifndef DLLEXPORT
#  ifdef MSWIN
#    define DLLEXPORT __declspec(dllexport)
#  else
#    define DLLEXPORT
#  endif
#endif
DLLEXPORT bool terminfo_is_term_family(const char *term, const char *family);
DLLEXPORT bool terminfo_is_bsd_console(const char *term);
DLLEXPORT const TerminfoEntry *terminfo_from_builtin(const char *term, char **termname);
DLLEXPORT bool terminfo_from_database(TerminfoEntry *ti, char *termname, Arena *arena);
DLLEXPORT String terminfo_info_msg(const TerminfoEntry *ti, const char *termname, bool from_db);
DLLEXPORT size_t terminfo_fmt(char *buf_start, char *buf_end, const char *str, TPVAR params[9]);
#include "nvim/func_attr.h"
